from vcCommand import *

handled_robots = []
handled_routines = []

def my_event_handler(statement):
  if statement.Type == VC_STATEMENT_PTPMOTION: 
      statement.createProperty(VC_BOOLEAN, "checkbox")

def selection_changed_handler():
  if app.TeachContext != None and app.TeachContext.ActiveRobot != None:
    robot = app.TeachContext.ActiveRobot
    if robot not in handled_robots:
      handled_robots.append(robot)
      robotdata = robot.findBehavioursByType(VC_ROBOTEXECUTOR)
      if len(robotdata):
        executor = robotdata[0]
        routine = executor.Program.MainRoutine
        routine.OnStatementAdded = my_event_handler
        handled_routines.append(routine)


app = getApplication()
sm = app.SelectionManager
sm.OnSelectionChanged = selection_changed_handler 


